module Microservice
  class ApplicationMailer < ::ActionMailer::Base

    default from: Microservice::Settings.email_default_from

    layout 'microservice/mailer'

    def self.default_url_options
      {host: Microservice::Settings.host_name, protocol: Microservice::Settings.protocol}
    end

  end
end
