module Microservice
  class Engine < ::Rails::Engine
    isolate_namespace Microservice

    initializer 'microservice.assets.precompile' do |app|
      app.config.assets.precompile += %w(microservice/*)
    end

    initializer :append_migrations do |app|
      unless app.root.to_s.match root.to_s
        app.config.paths['db/migrate'].concat config.paths['db/migrate'].expanded
      end
    end

  end
end
